Skip to content
Catalog

List the battery models of the active organisation

Scope: readSee also:Authentication ·Errors ·Pagination ·Rate limits
GET
/battery-models

Any member. Ordered by name, then id. Archived models only with include_archived=true.

Authorization

apiKey
headerAuthorizationBearer <token>

Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the operations that list this scheme, with the scope in their x-api-key-scope.

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 200
Default50
cursor?string

Opaque cursor from a previous page's next_cursor.

Length1 <= length <= 512
include_archived?boolean
Defaultfalse

Response Body

One page of battery models.

application/json
  1. response
items*array<>
next_cursor*|

Cursor for the next page, or null when this is the last page.

Example Request
curl -X GET 'https://example.com/api/v1/battery-models'
Example Response
{  "items": [    {      "archived_at": "2019-08-24T14:15:22Z",      "category": "ev",      "created_at": "2019-08-24T14:15:22Z",      "gtin": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "row_version": 1,      "sku": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}